multi-v2ray安装后v2ray无法启动

multi-v2ray安装后v2ray无法启动

1、尝试安装

一开始并不是multi-v2ray

而是233boy的脚本,系统是debian11,网上找了好几个版本,,选的tls+ws,不是caddy无法启动就是v2ray无法启动

然后系统换成centos7 8strem,虽然二者下v2ray和caddy都能启动,但是无法连接,毫无头绪

2、本来已经打算手动配置了,找到一个multi-v2ray,说是多用户多端口,其实我只是想加个tls而已……,不过没所谓,就尝试用了下,可以用,命令如下

安装

source <(curl -sL https://multi.netlify.com/v2ray.sh) --zh

升级

source <(curl -sL https://multi.netlify.com/v2ray.sh) -k

卸载

source <(curl -sL https://multi.netlify.com/v2ray.sh) --remove

3、但是multi-v2ray安装之后也是卡住的,中断之后也是无法启动的,即使他确实已经装完了,别急,是可以解决的

方法有两个

一个是指定v2ray版本: v2ray update v4.45.2

一个是在/etc/systemd/system/v2ray.service这个文件,ExecStart=/usr/bin/v2ray/v2ray -config /etc/v2ray/config.json,在-config前面加个run,然后systemctl daemon-reload,然后重启v2ray就行了

我选择后者,成功启动,遗憾的是没有办法使用80端口伪装,需要另外配置

© 版权声明
THE END
喜欢就支持一下吧
点赞6 分享
评论 抢沙发
头像
欢迎您留下宝贵的见解!
提交
头像

昵称

取消
昵称表情代码图片